﻿using System;
using System.Collections.Generic;

namespace HeuristicLab.Problems.RoutePlanning.Osm {
  public abstract class OsmBase {
    public int Id { get; set; }
    public string User { get; set; }
    public int UserId { get; set; }
    public DateTime Timestamp { get; set; }
    public int Changeset { get; set; }
    public int Version { get; set; }
    public bool Visible { get; set; }
    public IDictionary<string, string> Tags { get; set; }

    public OsmBase(int id) {
      Id = id;
      Tags = new Dictionary<string, string>();
    }
  }
}
