﻿
namespace HeuristicLab.Problems.RoutePlanning.Osm {
  public class Node : OsmBase {
    private PointD point;

    public double Longitude {
      get { return point.X; }
      set { point.X = value; }
    }
    public double Latitude {
      get { return point.Y; }
      set { point.Y = value; }
    }

    public Node(int id, double lat, double lon)
      : base(id) {
      point = new PointD(lat, lon);
    }
  }
}
